Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 998)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 999)
@@ -27,16 +27,12 @@
 //
 package org.txm.specificities.rcp.editors;
 
-import java.text.Collator;
-import java.util.Locale;
-
 import org.eclipse.jface.viewers.ArrayContentProvider;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.layout.GridData;
-import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.ScrollBar;
@@ -46,7 +42,6 @@
 import org.txm.Toolbox;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.Parameter;
-import org.txm.objects.TxmObject;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableKeyListener;
 import org.txm.rcp.swt.GLComposite;
@@ -185,8 +180,8 @@
 			specificitesTable.setSortDirection(SWT.UP);
 			
 		} catch (Exception e) {
-			System.err.println(NLS.bind(SpecificitiesUIMessages.SpecificitiesTableEditor_0, e.getMessage()));
-			e.printStackTrace();
+			Log.severe(NLS.bind(SpecificitiesUIMessages.SpecificitiesTableEditor_0, e.getMessage()));
+			Log.printStackTrace(e);
 		}
 	}
 
@@ -204,7 +199,7 @@
 					partNames = this.getResult().getPartShortNames();
 					partSize = this.getResult().getPartSizes();
 				} catch (Exception e) {
-					System.err.println(NLS.bind(RCoreMessages.error_unexpectedErrorInRStatisticsEngine, e));
+					Log.severe(NLS.bind(RCoreMessages.error_unexpectedErrorInRStatisticsEngine, e));
 					Log.printStackTrace(e);
 					return;
 				}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java	(revision 998)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java	(revision 999)
@@ -31,6 +31,10 @@
 	public static String SWTChartsComponentProvider_SHOW_HIDE_LEGEND;
 	public static String SWTChartsComponentProvider_SHOW_HIDE_GRID;
 
+	public static String toolbar_rendering;
+
+	public static String toolbar_showHideRenderingParameters;
+
 	
 	
 	static {
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages_fr.properties	(revision 998)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages_fr.properties	(revision 999)
@@ -18,3 +18,6 @@
 SWTChartsComponentProvider_SHOW_HIDE_LEGEND = Afficher/masquer la légende
 SWTChartsComponentProvider_SHOW_LEGEND      = Afficher la légende
 SWTChartsComponentProvider_SHOW_TITLE       = Afficher le titre
+
+toolbar_rendering                   = Rendu
+toolbar_showHideRenderingParameters = Afficher/Masquer les paramètres de rendu
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages.properties	(revision 998)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages.properties	(revision 999)
@@ -19,3 +19,5 @@
 SWTChartsComponentProvider_SHOW_HIDE_TITLE  = Show/hide title
 SWTChartsComponentProvider_SHOW_LEGEND      = Show legend
 SWTChartsComponentProvider_SHOW_TITLE       = Show title
+toolbar_rendering=Rendering
+toolbar_showHideRenderingParameters=Show/Hide rendering parameters
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 998)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 999)
@@ -22,6 +22,7 @@
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.events.EventCallBack;
 import org.txm.chartsengine.rcp.events.EventCallBackHandler;
+import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.chartsengine.rcp.swt.AdvancedChartEditorToolBar;
 import org.txm.chartsengine.rcp.swt.ChartComposite;
 import org.txm.chartsengine.rcp.swt.ChartEditorToolBar;
@@ -115,9 +116,9 @@
 
 		// Advanced tool bar
 		//this.advancedToolBarComposite = new Composite(parent, SWT.NONE);
-		Group group = this.topToolBar.installGroup("Rendering", "Show/Hide rendering parameters", 
-				"platform:/plugin/org.txm.chartsengine.rcp/icons/show_rendering_parameters.png", 
-				"platform:/plugin/org.txm.chartsengine.rcp/icons/hide_rendering_parameters.png",
+		Group group = this.topToolBar.installGroup(SWTComponentsProviderMessages.toolbar_rendering, SWTComponentsProviderMessages.toolbar_showHideRenderingParameters, 
+				"platform:/plugin/org.txm.chartsengine.rcp/icons/show_rendering_parameters.png",  //$NON-NLS-1$
+				"platform:/plugin/org.txm.chartsengine.rcp/icons/hide_rendering_parameters.png", //$NON-NLS-1$
 				false);
 		this.advancedChartToolBar = new AdvancedChartEditorToolBar(this, group, this.getParametersGroupsComposite(), SWT.FLAT);
 		//this.advancedChartToolBar.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_WHITE));
@@ -221,12 +222,12 @@
 		// check that the charts engine used for the result matches the SWT components provider otherwise find a suitable components provider
 		if(this.getResult().getChartsEngine() != this.getSWTChartsComponentsProvider().getChartsEngine())	{
 			
-			Log.finest("ChartEditor.__updateEditorFromResult(): result charts engine  = " + this.getResult().getChartsEngine().getName() + " / Editor charts engine = " + this.getSWTChartsComponentsProvider().getChartsEngine().getName() + "."); //$NON-NLS-1$
+			Log.finest("ChartEditor.__updateEditorFromResult(): result charts engine  = " + this.getResult().getChartsEngine().getName() + " / Editor charts engine = " + this.getSWTChartsComponentsProvider().getChartsEngine().getName() + "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			
 			this.getEditorInput().setSWTChartsComponentsProvider(SWTChartsComponentsProvider.getComponentsProvider(this.getResult().getChartsEngine()));
 			this.getSWTChartsComponentsProvider().setChartsEngine(this.getResult().getChartsEngine());
 			
-			Log.finest("ChartEditor.__updateEditorFromResult(): charts engine used to create the chart does not match the editor one. The SWT components provider has been changed to match it: " + this.getSWTChartsComponentsProvider() + "."); //$NON-NLS-1$
+			Log.finest("ChartEditor.__updateEditorFromResult(): charts engine used to create the chart does not match the editor one. The SWT components provider has been changed to match it: " + this.getSWTChartsComponentsProvider() + "."); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			// recreating the chart composite
 			Composite parent = this.chartComposite.getParent();
@@ -243,7 +244,7 @@
 		boolean needInit = (this.chartComposite.getChartComponent() == null) && (this.getResult().getChart() != null);
 		
 		// loading chart
-		this.getResult().subTask("Loading chart.");
+		this.getResult().subTask("Loading chart."); //$NON-NLS-1$
 		this.loadChart();
 		
 		
@@ -328,9 +329,9 @@
 				contributions[i].getAttribute("resultDataClass") != null //$NON-NLS-1$
 				&& contributions[i].getAttribute("resultDataClass").equals(this.getResult().getClass().getName()) //$NON-NLS-1$
 				
-				&& ((contributions[i].getAttribute("chartType") == null && this.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE)
+				&& ((contributions[i].getAttribute("chartType") == null && this.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE) //$NON-NLS-1$
 					||
-					contributions[i].getAttribute("chartType") != null && !this.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE) && contributions[i].getAttribute("chartType").equals(this.getChartType())
+					contributions[i].getAttribute("chartType") != null && !this.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE) && contributions[i].getAttribute("chartType").equals(this.getChartType()) //$NON-NLS-1$ //$NON-NLS-2$
 					)  //$NON-NLS-1$
 				)
 				
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 998)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 999)
@@ -558,6 +558,16 @@
 	public static String common_end;
 	public static String TxmBrowser_8;
 	public static String TxmBrowser_9;
+	public static String TXMEditor_0;
+
+	public static String TXMEditor_1;
+
+	public static String TXMEditor_2;
+
+	public static String TXMEditor_3;
+
+	public static String TXMEditor_7;
+
 	public static String TxtEditor_0;
 	public static String TxtEditor_1;
 	public static String UIParameterException_0;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 998)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 999)
@@ -680,6 +680,11 @@
 TxmBrowser_6  = Next page
 TxmBrowser_8  = Next text
 TxmBrowser_9  = Previous text
+TXMEditor_0=Computing 
+TXMEditor_1=Computing 
+TXMEditor_2=Computing
+TXMEditor_3=Parameters
+TXMEditor_7=Show/Hide command parameters
 
 TxtEditor_0 = TextEditor:
 TxtEditor_1 = Encoding found
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 998)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 999)
@@ -54,7 +54,6 @@
 ApplicationWorkbenchAdvisor_31          = ** Échec de la création de l'espace de travail 'default.xml'
 ApplicationWorkbenchAdvisor_34          = ** Échec : le dossier de sauvegarde des corpus n'a pas pu être créé
 ApplicationWorkbenchAdvisor_37          = \ vers 
-
 ApplicationWorkbenchAdvisor_41          = ** Échec de réglage des préférences : {0}
 ApplicationWorkbenchAdvisor_43          = Les corpus {0} ont été mis à jour avec une version plus récente.
 ApplicationWorkbenchAdvisor_43_single   = Le corpus {0} a été mis à jour avec une version plus récente.
@@ -589,6 +588,12 @@
 
 Submit_0 = Enregistrer
 
+TXMEditor_0 = Calcul
+TXMEditor_1 = Calcul
+TXMEditor_2 = Calcul
+TXMEditor_3 = Paramètres
+TXMEditor_7 = Afficher/Masquer les paramètres de commande
+
 TablableVector_0 = Les deux tables doivent être de même taille.
 
 TableEditor_0 = Impossible d'afficher un tableau avec les informations fourniesn: {0}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 998)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 999)
@@ -65,6 +65,7 @@
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.GLComposite;
 import org.txm.rcp.swt.widget.AssistedQueryWidget;
 import org.txm.rcp.swt.widget.FloatSpinner;
@@ -97,7 +98,7 @@
 	 */
 	public final static String TOP_TOOLBAR_ID = "TXMEditorTopToolBar"; //$NON-NLS-1$
 	public final static String BOTTOM_TOOLBAR_ID = "TXMEditorBottomToolBar"; //$NON-NLS-1$
-	public final static String COMPUTING_PARAMETERS_GROUP_ID = "Parameters"; //$NON-NLS-1$
+	public final static String COMPUTING_PARAMETERS_GROUP_ID = TXMUIMessages.TXMEditor_3;
 
 	/**
 	 * The editor main tool bar, positioned at the top of the editor.
@@ -177,19 +178,19 @@
 
 		// fetch extensions
 		IConfigurationElement[] config = Platform.getExtensionRegistry().getConfigurationElementsFor(TXMEditorExtension.EXTENSION_ID);
-		Log.warning("Installing TXMEditorExtension...");
+		Log.warning("Installing TXMEditorExtension..."); //$NON-NLS-1$
 		Log.warning(Arrays.toString(config));
 
 		for (IConfigurationElement e : config) {
 			try {
-				Log.warning(" "+e.getName()+" from "+e.getContributor().getName());
+				Log.warning(" "+e.getName()+" from "+e.getContributor().getName()); //$NON-NLS-1$ //$NON-NLS-2$
 				final Object o = e.createExecutableExtension("class"); //$NON-NLS-1$
 				if (o instanceof TXMEditorExtension) {
 					ISafeRunnable runnable = new ISafeRunnable() {
 
 						@Override
 						public void handleException(Throwable exception) {
-							System.out.println("Error while installing: "+o+": "+ exception.getLocalizedMessage());
+							System.out.println("Error while installing: "+o+": "+ exception.getLocalizedMessage()); //$NON-NLS-1$ //$NON-NLS-2$
 						}
 
 						@Override
@@ -203,7 +204,7 @@
 					SafeRunner.run(runnable);
 				}
 			} catch (Exception ex) {
-				System.out.println("Exception while installing "+e.getName()+": "+ex.getLocalizedMessage());
+				System.out.println("Exception while installing "+e.getName()+": "+ex.getLocalizedMessage()); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 		
@@ -285,15 +286,15 @@
 			this.initParentLayout(parent, 1);
 
 			// contains the minimal panels and top toolbars
-			this.firstLineComposite = new GLComposite(parent, SWT.NONE, "Editor first line");
+			this.firstLineComposite = new GLComposite(parent, SWT.NONE, "Editor first line"); //$NON-NLS-1$
 			this.firstLineComposite.getLayout().numColumns = 2;
 			this.firstLineComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 
-			this.mainParametersComposite = new GLComposite(firstLineComposite, SWT.NONE, "Main parameters area");
+			this.mainParametersComposite = new GLComposite(firstLineComposite, SWT.NONE, "Main parameters area"); //$NON-NLS-1$
 			this.mainParametersComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
 			this.mainParametersComposite.getLayout().horizontalSpacing = 5;
 
-			this.extendedParametersGroupsComposite = new GLComposite(parent, SWT.NONE, "Extended parameters area");
+			this.extendedParametersGroupsComposite = new GLComposite(parent, SWT.NONE, "Extended parameters area"); //$NON-NLS-1$
 			this.extendedParametersGroupsComposite.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 
 			this.topToolBar = new TXMEditorToolBar(this, this.firstLineComposite, this.extendedParametersGroupsComposite, SWT.FLAT | SWT.RIGHT, TOP_TOOLBAR_ID);
@@ -306,13 +307,13 @@
 			//			if(!this.getResult().canCompute() && this.getResult().isDirty())	{
 			//				showExtendedParameters = true;
 			//			}
-			this.extendedParametersComposite = this.topToolBar.installGroup(COMPUTING_PARAMETERS_GROUP_ID, "Show/Hide command parameters", 
-					"icons/show_computing_parameters.png", 
-					"icons/hide_computing_parameters.png", 
+			this.extendedParametersComposite = this.topToolBar.installGroup(COMPUTING_PARAMETERS_GROUP_ID, TXMUIMessages.TXMEditor_7, 
+					"icons/show_computing_parameters.png",  //$NON-NLS-1$
+					"icons/hide_computing_parameters.png",  //$NON-NLS-1$
 					showExtendedParameters);
 
 			// display main area
-			this.resultArea = new GLComposite(parent, SWT.NONE, "Result area");
+			this.resultArea = new GLComposite(parent, SWT.NONE, "Result area"); //$NON-NLS-1$
 			this.resultArea.setLayoutData(new GridData(GridData.FILL_BOTH));
 
 			// create the bottom tool bar
@@ -324,18 +325,18 @@
 			//rl.justify = true;
 			this.bottomToolBarContainer.setLayout(rl);
 
-			this.bottomSubWidgetsComposite = new GLComposite(parent, SWT.NONE, "Bottom parameters area");
+			this.bottomSubWidgetsComposite = new GLComposite(parent, SWT.NONE, "Bottom parameters area"); //$NON-NLS-1$
 			if (parent.getLayout() instanceof GridLayout)	{
 				this.bottomSubWidgetsComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 			}
 
 
-			this.bottomToolBar = new TXMEditorToolBar(this, this.bottomToolBarContainer, this.bottomSubWidgetsComposite, SWT.FLAT, "bottom");
+			this.bottomToolBar = new TXMEditorToolBar(this, this.bottomToolBarContainer, this.bottomSubWidgetsComposite, SWT.FLAT, "bottom"); //$NON-NLS-1$
 
 
-			this.notifyExtensions("notifyStartOfCreatePartControl");
+			this.notifyExtensions("notifyStartOfCreatePartControl"); //$NON-NLS-1$
 			this._createPartControl(); // child editor create its parameters and display widgets
-			this.notifyExtensions("notifyEndOfCreatePartControl");
+			this.notifyExtensions("notifyEndOfCreatePartControl"); //$NON-NLS-1$
 
 			// remove empty toolbar
 			//TODO SJ: Hack? MD: yeah -> need to find a way to not display the bottom toolbar on Windows instead
@@ -355,7 +356,7 @@
 			}
 		}
 		catch(Throwable e) {
-			System.err.println("TXMEditor.createPartControl(): can not create the editor for result " + this.getResult() + ".");
+			Log.severe("TXMEditor.createPartControl(): can not create the editor for result " + this.getResult() + "."); //$NON-NLS-1$  //$NON-NLS-2$
 			e.printStackTrace();
 			createPartControlDoneSucessfully = false;
 		}
@@ -380,7 +381,7 @@
 	 * @throws NoSuchMethodException 
 	 */
 	protected void notifyExtensions(final String step) {
-		if (!step.startsWith("notify")) return;
+		if (!step.startsWith("notify")) return; //$NON-NLS-1$
 
 		for (final TXMEditorExtension<T> ext : extensions) {
 //			ISafeRunnable runnable = new ISafeRunnable() {
@@ -472,7 +473,7 @@
 //			getResult().saveParameters();
 //		}
 
-		notifyExtensions("notifyDoSave");
+		notifyExtensions("notifyDoSave"); //$NON-NLS-1$
 		firePropertyChange(IEditorPart.PROP_DIRTY);
 	}
 
@@ -482,7 +483,7 @@
 	}
 
 	public void dispose() {
-		notifyExtensions("notifyDispose");
+		notifyExtensions("notifyDispose"); //$NON-NLS-1$
 		super.dispose();
 	}
 
@@ -602,9 +603,9 @@
 	 */
 	public JobHandler compute(final boolean update)	{
 
-		StatusLine.setMessage("Computing " + this.getResult().getName());
+		StatusLine.setMessage(TXMUIMessages.TXMEditor_0 + this.getResult().getName());
 
-		JobHandler job = new JobHandler("Computing " + this.getResult().getName()) {
+		JobHandler job = new JobHandler(TXMUIMessages.TXMEditor_1 + this.getResult().getName()) {
 
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -619,10 +620,10 @@
 						public void run() {
 							if(update)	{
 								// FIXME: DEbug
-								System.err.println("TXMEditor.compute(): manually updating result from editor.");
+								System.err.println("TXMEditor.compute(): manually updating result from editor."); //$NON-NLS-1$
 								updateResultFromEditor(); // subclasses manual result updating from editor fields
 								// FIXME: DEbug
-								System.err.println("TXMEditor.compute(): auto updating result from editor.");
+								System.err.println("TXMEditor.compute(): auto updating result from editor."); //$NON-NLS-1$
 								autoUpdateResultFromEditorParameters(); // auto updating result from Parameter annotations in result <=> editor
 
 								// Stores the last parameters before the computing to later auto-update the Widgets only if some parameters have changed 
@@ -633,13 +634,13 @@
 
 
 					// computing result
-					monitor.beginTask("Computing", 100);
+					monitor.beginTask(TXMUIMessages.TXMEditor_2, 100);
 
-					notifyExtensions("notifyStartOfCompute");
+					notifyExtensions("notifyStartOfCompute"); //$NON-NLS-1$
 					if (!TXMEditor.this.getResult().compute(monitor)) {
-						Log.info("TXMEditor.compute(): computing failed.");
+						Log.info("TXMEditor.compute(): computing failed."); //$NON-NLS-1$
 					}
-					notifyExtensions("notifyEndOfCompute");
+					notifyExtensions("notifyEndOfCompute"); //$NON-NLS-1$
 
 					monitor.worked(50);
 
@@ -650,7 +651,7 @@
 							try {
 								refresh(update);
 							} catch (Exception e) {
-								System.out.println("Error while refreshing editor: "+e);
+								System.out.println("Error while refreshing editor: "+e); //$NON-NLS-1$
 								Log.printStackTrace(e);
 							}
 						}
@@ -730,7 +731,7 @@
 	 */
 	public final void refresh(boolean update) throws Exception {
 		if (!createPartControlDoneSucessfully) return; // no refresh
-		notifyExtensions("notifyStartOfRefresh");
+		notifyExtensions("notifyStartOfRefresh"); //$NON-NLS-1$
 		
 		// FIXME: result should never be null?
 		if (this.getResult() != null) {
@@ -743,11 +744,11 @@
 			// from fields themselves
 			//if (!update) {
 			// FIXME: debug
-			Log.finest("TXMEditor.refresh(): auto updating editor from result.");
+			Log.finest("TXMEditor.refresh(): auto updating editor from result."); //$NON-NLS-1$
 			this.autoUpdateEditorFieldsFromResult(update); // auto update from Parameter annotations
 
 			// FIXME: debug
-			Log.finest("TXMEditor.refresh(): updating subclass editor (" + getClass().getSimpleName() + ") from result.");
+			Log.finest("TXMEditor.refresh(): updating subclass editor (" + getClass().getSimpleName() + ") from result."); //$NON-NLS-1$ //$NON-NLS-2$
 			this.updateEditorFromResult(update); // subclasses manual settings
 			//}
 
@@ -782,7 +783,7 @@
 
 
 		}
-		notifyExtensions("notifyEndOfRefresh");
+		notifyExtensions("notifyEndOfRefresh"); //$NON-NLS-1$
 	}
 
 	/**
@@ -895,9 +896,9 @@
 
 				// FIXME: debug
 				if(object != null)	{
-					String message = "TXMEditor.autoUpdateEditorFieldsFromResult(): setting editor parameter " + parameter.key() + " = " + value;
+					String message = "TXMEditor.autoUpdateEditorFieldsFromResult(): setting editor parameter " + parameter.key() + " = " + value; //$NON-NLS-1$ //$NON-NLS-2$
 					if(value != null) {
-						message += " (" + value.getClass() + " to object " + object + ")";
+						message += " (" + value.getClass() + " to object " + object + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 					}
 					Log.finest(message);
 				}
@@ -1002,7 +1003,7 @@
 			}
 			catch (IllegalArgumentException e) {
 				// TODO Auto-generated catch block
-				System.err.println("TXMEditor.autoUpdateResultFromEditorParameters(): Error with field " + parameter.key());
+				System.err.println("TXMEditor.autoUpdateResultFromEditorParameters(): Error with field " + parameter.key()); //$NON-NLS-1$
 				e.printStackTrace();
 			}
 			catch (IllegalAccessException e) {
@@ -1043,7 +1044,7 @@
 		try {
 			return this.getEditorInput().deleteResult();
 		} catch(Exception e) {
-			System.out.println("Error: could not delete result: " + e.getLocalizedMessage());
+			System.out.println("Error: could not delete result: " + e.getLocalizedMessage()); //$NON-NLS-1$
 			Log.printStackTrace(e);
 			return false;
 		}
@@ -1242,7 +1243,7 @@
 			this.linkedEditors.add(editor);
 			
 			// Debug
-			Log.finest(this.getClass().getSimpleName() + ": A linked editor of type \"" + editor.getClass().getSimpleName() + "\" has been added to this one. Linked editors count: " + this.linkedEditors.size() + ".");
+			Log.finest(this.getClass().getSimpleName() + ": A linked editor of type \"" + editor.getClass().getSimpleName() + "\" has been added to this one. Linked editors count: " + this.linkedEditors.size() + "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			
 			// FIXME: temporary solution to break the link with chart editor from another TXM result editor when its closed
 			// a better solution would be to redefine the onclose event in a root class of all TXM editors
@@ -1293,7 +1294,7 @@
 		if(this.linkedEditors != null)	{
 			if(this.linkedEditors.remove(editor))	{
 				// Debug
-				Log.finest(this.getClass().getSimpleName() + ": A linked editor of type \"" + editor.getClass().getSimpleName() + "\" has been removed from this one. Linked editors count: " + this.linkedEditors.size() + ".");
+				Log.finest(this.getClass().getSimpleName() + ": A linked editor of type \"" + editor.getClass().getSimpleName() + "\" has been removed from this one. Linked editors count: " + this.linkedEditors.size() + "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
 		}
 		if(this.linkedEditors.isEmpty())	{
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 998)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 999)
@@ -255,20 +255,7 @@
 		group.setVisible(false);
 
 		// add finally a button to the toolbar to show/hide the Group
-
-		final OpenCloseToolItem showParameters = new OpenCloseToolItem(this, groupTitle, openIconFilePath, closeIconFilePath);
-		//		if (iconFilePath != null)	{
-		//			showParameters.setImage(IImageKeys.getImage(iconFilePath));
-		//		}
-		//		// if no icon specified, show the group title in the toolitem
-		//		else	{
-		//			showParameters.setText(groupTitle);
-		//		}
-		//
-		//		if (buttonToolTip != null)	{
-		//			showParameters.setToolTipText(buttonToolTip);
-		//		}
-
+		final OpenCloseToolItem showParameters = new OpenCloseToolItem(this, groupTitle, openIconFilePath, closeIconFilePath, buttonToolTip);
 		this.setVisible(group, showGroup); // default init
 
 		showParameters.addSelectionListener(new SelectionListener() {
@@ -281,8 +268,6 @@
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
-		//TODO add an optional selection listener
-		//showParameters.addSelectionListener(selectionListener);
 
 		this.groups.put(groupTitle, group);
 		this.buttons.put(groupTitle, showParameters);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/toolbar/OpenCloseToolItem.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/toolbar/OpenCloseToolItem.java	(revision 998)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/toolbar/OpenCloseToolItem.java	(revision 999)
@@ -16,26 +16,44 @@
  */
 public class OpenCloseToolItem extends ToolItem {
 
+	
 	/**
 	 * 
 	 * @param parent
+	 * @param title
+	 * @param openIconFilePath
+	 * @param closeIconFilePath
+	 */
+	public OpenCloseToolItem(ToolBar parent, String title, String openIconFilePath, String closeIconFilePath) {
+		this(parent, title, openIconFilePath, closeIconFilePath, null);
+	}
+	
+	/**
+	 * 
+	 * @param parent
 	 * @param title used as Text if openIconFilePath icon is not set, and as ToolTip text if openIconFilePath icon is set
 	 * @param openIconFilePath
 	 * @param closeIconFilePath
 	 */
-	public OpenCloseToolItem(ToolBar parent, String title, String openIconFilePath, String closeIconFilePath) {
+	public OpenCloseToolItem(ToolBar parent, String title, String openIconFilePath, String closeIconFilePath, String buttonTooltip) {
 		super(parent, SWT.CHECK);
 
 		if (openIconFilePath != null) {
 			openIcon = IImageKeys.getImage(openIconFilePath);
 			this.setImage(openIcon);
-			this.setToolTipText(title);
 			if (closeIconFilePath != null) {
 				closeIcon = IImageKeys.getImage(closeIconFilePath);
 			}
 		} else {
 			this.setText(title);
 		}
+
+		if(buttonTooltip != null)	{
+			this.setToolTipText(buttonTooltip);
+		}
+		else {
+			this.setToolTipText(title);
+		}
 		
 		this.addSelectionListener(new SelectionListener() {
 			
